Bug 333861 - Anaconda dies when incorrect boot device specified in kickstart
Anaconda dies when incorrect boot device specified in kickstart
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-16 06:47 EDT by Lubomir Kundrak
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-17 15:58:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Ananconda debug output (73.68 KB, text/plain)
2007-10-16 06:47 EDT, Lubomir Kundrak
no flags Details

  None (edit)
Description Lubomir Kundrak 2007-10-16 06:47:42 EDT
Description of problem:

Anaconda dies of unhandled exception when incorrect parrameter are passed to
bootloader kickstart directive:

Steps to Reproduce:

Add this to kickstart configuration:
bootloader --location=mbr --driveorder=foo_nonexistent
  
Actual results:

Debug output (private stuff stripped) attached

Additional info:

This exception should he handled and user given chance to proceed in case of
interactive installations
Comment 1 Lubomir Kundrak 2007-10-16 06:47:42 EDT
Created attachment 228561 [details]
Ananconda debug output
Comment 2 Chris Lumens 2007-10-17 15:58:55 EDT
This should be fixed in the next build of anaconda.

Note You need to log in before you can comment on or make changes to this bug.